OPEN API
  1. Safety
OPEN API
  • Organization Info
    • Get information about your organization
      GET
  • Drivers
    • List all drivers
      GET
    • Retrieve a driver
      GET
  • Hours Of Service
    • Get HOS clocks
      GET
    • Get all driver HOS daily logs
      GET
    • Get HOS logs
      GET
  • Vehicles
    • List all vehicles
      GET
    • Retrieve a vehicle
      GET
  • Assets
    • List Assets
      GET
    • Get Asset
      GET
    • Latest Asset Locations
      GET
  • Fault Codes
    • List Fault Code Events
      GET
  • Vehicle Locations
    • Historical Vehicle Locations
      GET
    • Latest Vehicle Locations
      GET
  • Trips
    • Get Vehicle Trips
      GET
  • Vehicle Stats
    • Vehicle Stats snapshot
      GET
  • Maintenance
    • Get all DVIRs
  • IFTA
    • Get IFTA jurisdiction reports
  • Safety
    • List Safety Events
      GET
    • Get Safety Event
      GET
    • Get Last Snapshot
      GET
    • Get Live Snapshot
      POST
  • Webhook
    • Sample Webhook request for specific trigger
    • Subscribe to specific immediately events
    • Available list of Triggers
    • Unsubscribe form events
  • Schemas
    • Schemas
      • CompanyResponse
      • DriverResponse
      • TimezoneEnum
      • TripLocation
      • TripStartEnd
      • VehicleResponse
    • AvailableTime
    • Asset
    • CompanyDetail
    • AssetLocationItem
    • AssetsResponse
    • CurrentStatusEnum
    • DVIRList
    • Driver
    • DVIRTrailerDefects
    • DriverLicense
    • DVIRVehicle
    • DVIRVehicleDefects
    • HosDailyLogs
    • HosDailyLogsResponse
    • HosLogsResponse
    • ForVehicleLocationResponse
    • LicensePlate
    • Location
    • PaginatedDriverList
    • IFTAItem
    • FaultCodeEvent
    • PaginatedHosLogsResponseList
    • IFTAReport
    • PaginatedTripResponseList
    • PaginatedVehicleList
    • PaginatedVehicleLocationResponseList
    • OpenAPIWebhookSubscribeRequest
    • HosLogAddress
    • Response
    • OpenAPIWebhookUnsubscribeRequest
    • HosLogLocation
    • Result
    • StatusEnum
    • PaginatedDVIRListList
    • StatusDurations
    • VehicleRoute
    • PaginatedIFTAReportList
    • PaginatedForVehicleLocationResponseList
    • TripResponse
    • VehicleRouteLocation
    • VehicleRouteStartEnd
    • NullEnum
    • Vehicle
    • VehicleSResponse
    • VehicleLocationResponse
    • VehicleStats
    • PaginatedWebhookTriggerList
    • PaginatedAssetLocationItemList
    • PaginatedFaultCodeEventList
    • WebhookTrigger
    • SafetyEvent
    • SafetyEventsResponse
    • SafetySnapshot
    • SafetySnapshotParamsRequest
    • TypeEnum
  1. Safety

List Safety Events

GET
https://api.firsteld.com/openapi/safety/events/
List all safety events detected by camera systems (DSM, ADAS, BSD, etc.).
Query Parameters:
page / page_size: Pagination (same as other OpenAPI routes).
modifiedAfter / modifiedBefore: Filter by record modification time (ISO 8601).
startedAfter / startedBefore: Filter by event occurrence time (ISO 8601).
driverIds: Comma-separated driver UUIDs (max 50).
vehicleIds: Comma-separated vehicle UUIDs (max 50).
expand: Include expanded resources: vehicle, driver, or vehicle,driver.
Available Event Types (severity in parentheses):
Crash (High)
Rollover (High)
HARSH_ACCEL (High)
HARSH_BRAKE (High)
HARSH_TURN (High)
FOLLOWING_DISTANCE (High)
FORWARD_COLLISION_WARNING (High)
FORWARD_PEDESTRIAN_COLLISION_WARNING (High)
BARRIER (High)
Speeding (Medium)
INATTENTIVE_DRIVING (Medium)
MOBILE_USAGE (Medium)
POSSIBLE_DROWSINESS (Medium)
FREQUENT_LANE_CHANGES (Medium)
ROAD_SIGN (Info)
ROAD_SIGN_OVER_LIMIT (Info)
LANE_DEPARTURE (Info)
NO_SEAT_BELT (Info)
OBSTRUCTED_CAMERA (Info)
MASK_WEARING (Info)
SMOKING (Info)
SNAP_DMS (Info)
DRIVER_CHANGE (Info)
CARD_ID (Info)
PCS (Info)
ADAS_DETECTION_FALL (Info)
SNAP_ADAS (Info)
LEFT_BSD (Info)
RIGHT_BSD (Info)
FRONT_BSD (Info)
DRIVER_ABNORMAL (Medium)
INATTENTIVE_DRIVING_STEERING_WHEEL (Medium)
OBSTRUCTED_CAMERA_INFRARED (Medium)
MOBILE_USAGE_PLAY (Medium)

Request

Query Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.firsteld.com/openapi/safety/events/?modifiedAfter&modifiedBefore&startedAfter&startedBefore&driverIds&vehicleIds&expand'
Response Response Example
{
    "count": 10,
    "page_size": 50,
    "previous": null,
    "current": 1,
    "next": 2,
    "results": [
        {
            "id": "550e8400-e29b-41d4-a716-446655440000",
            "type": "HARSH_BRAKE",
            "driver": "660e8400-e29b-41d4-a716-446655440001",
            "vehicle": "770e8400-e29b-41d4-a716-446655440002",
            "startedAt": "2024-01-15T14:30:00.000Z",
            "location": {
                "longitude": -122.4194,
                "latitude": 37.7749
            },
            "address": {
                "formatted": "1.5 miles from Austin, TX"
            },
            "stats": {
                "maximumSpeed": 95.5,
                "averageSpeed": 95.5,
                "roadSpeedLimit": 88.5
            },
            "cameraMedia": {
                "available": true,
                "media": [
                    {
                        "url": "https://camera.example.com/alerts/abc123.jpg",
                        "contentType": "image/jpeg",
                        "name": "snapshot.jpg"
                    }
                ]
            },
            "metadata": {
                "addedAt": "2024-01-15T14:30:05.000Z",
                "modifiedAt": "2024-01-15T14:30:05.000Z"
            }
        }
    ]
}
Modified at 2026-03-03 20:51:36
Previous
Get IFTA jurisdiction reports
Next
Get Safety Event
Built with